.\" Copyright (c) 1985, 1991 Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)sqrt.3	6.4 (Berkeley) 5/6/91
.\"	$NetBSD: sqrt.3,v 1.12 2003/04/16 13:35:09 wiz Exp $
.\"
.Dd May 6, 1991
.Dt SQRT 3
.Os
.Sh NAME
.Nm cbrt ,
.Nm cbrtf ,
.Nm sqrt ,
.Nm sqrtf
.Nd cube root and square root functions
.Sh LIBRARY
.Lb libm
.Sh SYNOPSIS
.In math.h
.Ft double
.Fn cbrt "double x"
.Ft float
.Fn cbrtf "float x"
.Ft double
.Fn sqrt "double x"
.Ft float
.Fn sqrtf "float x"
.Sh DESCRIPTION
The
.Fn cbrt
and
.Fn cbrtf
functions compute
the cube root of
.Ar x .
.Pp
The
.Fn sqrt
and
.Fn sqrtf
functions compute
the non-negative square root of x.
.Sh RETURN VALUES
If x is negative,
.Fn sqrt "x"
and
.Fn sqrtf "x"
.\" POSIX_MODE
set the global variable
.Va errno
to EDOM.
.\" SYSV_MODE
.\" call
.\" .Xr matherr 3 .
.Sh SEE ALSO
.Xr math 3
.\" .Xr matherr 3
.Sh STANDARDS
The
.Fn sqrt
function conforms to
.St -ansiC .
.Sh HISTORY
The
.Fn cbrt
function appeared in
.Bx 4.3 .
